org.vertx.java.core.net.impl

## Class VertxWorkerPool

- java.lang.Object
- - org.vertx.java.core.net.impl.VertxWorkerPool

All Implemented Interfaces:
  org.jboss.netty.channel.socket.nio.WorkerPool<org.jboss.netty.channel.socket.nio.NioWorker>

    public class VertxWorkerPool
    extends java.lang.Object
    implements org.jboss.netty.channel.socket.nio.WorkerPool<org.jboss.netty.channel.socket.nio.NioWorker>

### Constructor Summary

Constructors
Constructor and Description
`VertxWorkerPool()`

### Method Summary

Methods
`void` `addWorker(org.jboss.netty.channel.socket.nio.NioWorker worker)`
`org.jboss.netty.channel.socket.nio.NioWorker` `nextWorker()`
`void` `removeWorker(org.jboss.netty.channel.socket.nio.NioWorker worker)`
`int` `workerCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VertxWorkerPool

    public VertxWorkerPool()

### Method Detail

#### nextWorker

    public org.jboss.netty.channel.socket.nio.NioWorker nextWorker()

Specified by:
  `nextWorker` in interface `org.jboss.netty.channel.socket.nio.WorkerPool<org.jboss.netty.channel.socket.nio.NioWorker>`

#### addWorker

    public void addWorker(org.jboss.netty.channel.socket.nio.NioWorker worker)

#### removeWorker

    public void removeWorker(org.jboss.netty.channel.socket.nio.NioWorker worker)

#### workerCount

    public int workerCount()